Summary:	The shared library for the S-Lang extension language.
Name:		slang
Group:		System Environment/Libraries
License:	GPL
Version:	1.4.9
Release:	1
Source0:	ftp://space.mit.edu/pub/davis/slang/v1.4/slang-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%files
  %defattr(-,root,root)
  %attr(0555,root,root)		%{_libdir}/libslang.so.*

%package devel
Summary:	The static library and header files for development using S-Lang.
Group:		Development/Libraries
Requires:	slang = %{version}

%description devel
This package contains the S-Lang extension language static libraries
and header files which you'll need if you want to develop S-Lang based
applications.  Documentation which may help you write S-Lang based
applications is also included.

%files devel
  %defattr(-,root,root)
  %doc doc
  %attr(0755,root,root)		%dir %{_includedir}/slang
  %attr(0444,root,root)		%{_includedir}/slang/*.h
  %attr(0444,root,root)		%{_libdir}/libslang.a
  %attr(0555,root,root)		%{_libdir}/libslang.so

%prep
%setup -q

%build
  perl -p -i -e 's/(ELF_CFLAGS=\"[^\"]*)-O2([^\"]*\".*)/$1'"$RPM_OPT_FLAGS"' $2/gs' configure
  cp /usr/share/libtool/config.{sub,guess} autoconf
  %configure --includedir=%{_includedir}/slang
  make %{?_smp_mflags} elf all

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_includedir}/slang

  %makeinstall install_lib_dir=$RPM_BUILD_ROOT/%{_libdir} \
	       install_include_dir=$RPM_BUILD_ROOT/%{_includedir}/slang \
	       install-elf

  ln -sf libslang.so.%{version} $RPM_BUILD_ROOT/%{_libdir}/libslang.so.1

  # Remove unpackaged files.
  rm -rf $RPM_BUILD_ROOT/usr/doc/slang

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Tue Jun 30 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.4.9, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
